### Method

# Pango Layoutget_line

#### Declaration [src]

    PangoLayoutLine*
    pango_layout_get_line (
      PangoLayout* layout,
      int line
    )

#### Description [src]

Retrieves a particular line from a `PangoLayout`.

Use the faster `pango_layout_get_line_readonly()` if you do not plan to modify the contents of the line (glyphs, glyph widths, etc.).

#### Parameters

`line`

  Type: `int`

  The index of a line, which must be between 0 and `pango_layout_get_line_count(layout) - 1`, inclusive.

#### Return value

Type: `PangoLayoutLine`

The requested `PangoLayoutLine`, or `NULL` if the index is out of range. This layout line can be ref’ed and retained, but will become invalid if changes are made to the `PangoLayout`.

The data is owned by the instance.
The return value can be `NULL`.